FreeHandParserInternal::Textbox Struct Reference documentation

FreeHandParserInternal::Textbox Struct Reference

structure of FreeHandParserInternal used to stored a textbox More...

## Public Member Functions
| Textbox (int id)
| constructor

## Public Attributes
int | m_id
| the textbox id
int | m_layerId
| the layer id
MWAWBox2f | m_box
| the main box
MWAWTransformation | m_transformation
| the transformation
MWAWVec2f | m_spacings
| the letter/word spacing
MWAWVec2f | m_scalings
| the horizontal/vertical scalings
float | m_baseline
| the baseline
MWAWParagraph::Justification | m_justify
| the paragraph justification
MWAWEntry | m_text
| the text data
std::map< int, Font > | m_posToFontMap
| map char pos to font
bool | m_isSent
| flag to known if a shape is sent

## Detailed Description

structure of FreeHandParserInternal used to stored a textbox

## Constructor & Destructor Documentation

## ◆ Textbox()

FreeHandParserInternal::Textbox::Textbox | ( | int | id | ) |
| inlineexplicit

constructor

## Member Data Documentation

## ◆ m_baseline

float FreeHandParserInternal::Textbox::m_baseline

the baseline

Referenced by FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_box

MWAWBox2f FreeHandParserInternal::Textbox::m_box

the main box

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), FreeHandParser::sendTextbox(), and Textbox().

## ◆ m_id

int FreeHandParserInternal::Textbox::m_id

the textbox id

Referenced by FreeHandParser::sendTextbox(), and Textbox().

## ◆ m_isSent

bool FreeHandParserInternal::Textbox::m_isSent
| mutable

flag to known if a shape is sent

Referenced by FreeHandParser::sendTextbox(), and Textbox().

## ◆ m_justify

MWAWParagraph::Justification FreeHandParserInternal::Textbox::m_justify

the paragraph justification

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_layerId

int FreeHandParserInternal::Textbox::m_layerId

the layer id

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_posToFontMap

std::map<int, Font> FreeHandParserInternal::Textbox::m_posToFontMap

map char pos to font

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_scalings

MWAWVec2f FreeHandParserInternal::Textbox::m_scalings

the horizontal/vertical scalings

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_spacings

MWAWVec2f FreeHandParserInternal::Textbox::m_spacings

the letter/word spacing

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_text

MWAWEntry FreeHandParserInternal::Textbox::m_text

the text data

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), and Textbox().

## ◆ m_transformation

MWAWTransformation FreeHandParserInternal::Textbox::m_transformation

the transformation

Referenced by FreeHandParser::readTextboxV1(), FreeHandParser::readTextboxV2(), FreeHandParser::sendTextbox(), and Textbox().

The documentation for this struct was generated from the following file:

- FreeHandParser.cxx